<? session_start();

if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
		
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
include ("fphp.php");
include "proceso_numtolet.php";	
$enlace=cargar_conexion();
$cedula=$_REQUEST["cedula"];
$fecha=$_REQUEST["fecha"];
$monto=$_REQUEST["monto"];
///////////////////////////////////////////////// cuando esta recibiendo datos  ////////////////////////////////////////////////////////////////	

		$consulta=mysqli_query($enlace,"select * from empresa where id='".$_SESSION['id_validar']."' ");
		if (mysqli_num_rows($consulta)!=0){
			$row=mysqli_fetch_array($consulta);
			$_POST['pie']=$row['pie'];
			$_POST['encabeza']=$row['encabeza'];
			$_POST['empresal']=$row['nombre'];
			$_POST['ciudad']=$row['ciudad'];
		}   
		$_POST['usuario']=$_SESSION['nombre_validar'];

		//====================== buscar registros	
		$consulta="select prestacion_interes.*,personal.empresa,  personal.nomina, personal.cargo, personal.departamento, personal.smes, personal.fechai, personal.nombres, personal.nombres1, personal.apellidos, personal.apellidos1 from prestacion_interes,personal where personal.id='".$_SESSION['id_validar']."' and prestacion_interes.cedula=personal.codigo and prestacion_interes.cedula= '".$cedula."'";
		$resultado = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		$row = mysqli_fetch_array($resultado);
		$_POST['dgerencia']='';

		if ($_SESSION['modo_validar']>0) {
			$consultag="Select * from tablas where tabla=ucase('EMPRESA') and id='".$_SESSION['id_validar']."' and codigo='".trim($row['empresa'])."' order by codigo,detalle";
			$consultagg = mysqli_query($enlace,$consultag) or die ("no se pudo realizar la consulta...".$consultag.'='.mysqli_error($enlace));	
			$rowg = mysqli_fetch_array($consultagg);
			$_POST['dgerencia']=$rowg['detalle'];
		} 

		//================== buscar cargo
		$consultaf="select detalle from tablas where tabla='CARGO' and codigo='".$row['cargo']."' and id='".$_SESSION['id_validar']."'";
		$resultadof = mysqli_query($enlace,$consultaf) or die($consultaf . mysqli_error($enlace));
		$rowf=mysqli_fetch_array($resultadof);
		$car=$rowf['detalle'];
		
		//================== buscar departamento
		$consultaf="select detalle from tablas where tabla='DEPARTAMENTO' and codigo='".$row['departamento']."'  and id='".$_SESSION['id_validar']."'";
		$resultadof = mysqli_query($enlace,$consultaf) or die($consultaf . mysqli_error($enlace));
		$rowf=mysqli_fetch_array($resultadof);
		$dep=$rowf['detalle'];
		
		require('fpdf.php');
		class PDF extends FPDF {
		function Header()
		{
			if ($_POST['dgerencia']=='') {
				$this->Image($_SESSION['logo_validar'],10,10,30,30);
				$this->SetFont('arial','B',10);
				$this->Ln(2);
				$this->Cell(0,5,$_SESSION['empresa_validar'],0,1,'R'); 
			} else {
				$this->Ln(5);
				$this->SetFont('arial','B',16);
				$this->Cell(0,9,$_POST['dgerencia'],0,1,'C'); 
			}	
			$this->SetFont('arial','',8);
			$this->Cell(0,5,$_POST['encabeza'],0,1,'R');
			$this->SetFont('arial','',10);
			$this->SetFont('arial','B',16); 
			$this->Ln(15);
			$this->Cell(0,5,'RECIBO DE PAGO DE INTERES ',0,1,'C');
			$this->SetFont('arial','B',12);
			$this->Cell(0,5,'SOBRE PRESTACIONES SOCIALES',0,1,'C');
			$this->SetFont('arial','',10);
			$this->ln(10);
		}
		function Footer()
			{
			$this->SetY(-20);
			$this->Cell(0,0,'',1,1,'C');
			$this->SetFont('Times','I',8);
			$this->ln(2);
			$this->Cell(0,0,$_POST['pie'],0,1,'C');
			}
		}
		$pdf=new PDF($orientacion='P',$unit='mm',$format='letter');
		$pdf->AddPage();
		$pdf->AliasNbPages();
		$pdf->SetFillColor(224,235,255);
		$pdf->SetTextColor(0);
	
		$pdf->SetFont('Arial','B',12);
		$pdf->cell(10,10,'Información del Empleado:',0,1,'',0);

		$pdf->SetFont('Arial','',8);
		$pdf->cell(0,5,'Cédula de Identidad: '.$row['cedula'],0,1,'',0);
		$pdf->cell(0,5,'Nombres y Apellidos: '.trim($row['nombres']).' '.$row['nombres1'].", ".trim($row['apellidos'])." ".$row['apellidos1'],0,1,'',0);
		$pdf->cell(0,5,'Cargo: '.$car,0,1,'',0);
		$pdf->cell(0,5,'Departamento: '.$dep,0,1,'',0);
		$pdf->cell(20,5,'',0,1,'');
		
		$pdf->SetFont('Arial','',9);
		$pdf->cell(50,5,'Fecha de Ingreso',1,0,'C',0);
		$pdf->cell(50,5,'Años de Antiguedad',1,0,'C',0);
		$pdf->cell(50,5,'Salario Mensual',1,0,'C',0);
		$pdf->cell(40,5,'Salario Diario',1,1,'C',0);

		$ant  = "Años: ".(mostrar_antiguedad(1,$row['fechai'],date('Y-n-j')))." ";
		$ant .= "Meses: ".(mostrar_antiguedad(2,$row['fechai'],date('Y-n-j')))." ";
		$ant .= "Dias: ".(mostrar_antiguedad(3,$row['fechai'],date('Y-n-j')))."";
		
		$pdf->cell(50,5,mostrar_fecha($row['fechai']),1,0,'C',0);
		$pdf->cell(50,5,$ant,1,0,'C',0);
		$pdf->cell(50,5,number_format($row['smes'],2),1,0,'C',0);
		$pdf->cell(40,5,number_format($row['smes']/30,2),1,1,'C',0);

		$pdf->ln(5);
		$len=strlen(number_format($monto,2));
		$dec=substr(number_format($monto,2),$len-2,2);
		$letra=num2letras($monto,0)." bolivares con ".$dec."/100 centimos";	

		$pdf->SetFont('Arial','B',12);
		$pdf->cell(0,5,'Por Bolivares :',0,1,'C',0);
		$pdf->ln(3);
		$pdf->SetFont('Arial','B',18);
		$pdf->cell(190,7,'Bs. '.number_format($monto,2),1,1,'C',0);
		$pdf->SetFont('Arial','',11);
		$pdf->cell(0,5,'Son: ('.$letra.')',0,1,'C',0);
		$pdf->ln(3);
		
		$pdf->SetFont('Arial','',9);
		$pdf->ln(10);
		$pdf->cell(0,5,'Yo, '.trim($row['nombres']).' '.$row['nombres1'].", ".trim($row['apellidos'])." ".$row['apellidos1'].', cédula de identidad No. '.$row['cedula'].', ',0,1,'C',0);
		$pdf->cell(0,5,'declaro haber recibido la cantidad arriba señalada a mi entera satisfacción en moneda efectiva y de curso legal, ',0,1,'C',0);
		$pdf->cell(0,5,'por el concepto de Intereses sobre Prestaciones Sociales al '.mostrar_fecha($fecha).".",0,1,'C',0);
		$pdf->ln(5);
		$pdf->cell(0,5,'En '.$_POST['ciudad'].' en fecha: '.mostrar_fecha($fecha).".",0,1,'C',0);
		
		$pdf->ln(10);
		$pdf->SetFont('Arial','B',10);
		$pdf->cell(0,5,trim($row['nombres']).' '.$row['nombres1'].", ".trim($row['apellidos'])." ".$row['apellidos1'],0,1,'C',0);
		$pdf->SetFont('Arial','',8);
		$pdf->cell(0,5,'Firma / Cédula: ',0,1,'C',0);
		$pdf->ln(10);
		$pdf->cell(0,5,'---------------------------------------------------',0,1,'C',0);
		$pdf->ln(10);
		$pdf->SetFont('Arial','',8);
		$pdf->cell(10,5,'RRHH/ficha personal',0,1,'',0);
		$pdf->Output();
		
		mysqli_close($enlace);
?>